INTERFACE
SUBROUTINE CASSVA (KTASK, KANTY, KH, LDFLAI, LDFLAJ,&
 & KNLX, KNM, PDELTA, PDELPI, PCORMIN,&
 & PLAT, PLON, PRESS, PSIG, KNBPV, KIV,&
 & KASELS, KOSELS, PDSELS, KNSELS, PDXMB, KNOUT) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE QAPAVU , ONLY : JPNVX ,JPNVY ,JPNINV
USE QAPABL , ONLY : JPNPM ,JPKZMA
USE PARDIMO , ONLY : JPNOTP
INTEGER(KIND=JPIM),INTENT(IN) :: KNLX
INTEGER(KIND=JPIM),INTENT(IN) :: KNBPV
INTEGER(KIND=JPIM),INTENT(IN) :: KTASK
INTEGER(KIND=JPIM),INTENT(IN) :: KANTY
INTEGER(KIND=JPIM),INTENT(IN) :: KH
LOGICAL ,INTENT(IN) :: LDFLAI(0:JPNVX)
LOGICAL ,INTENT(IN) :: LDFLAJ(0:JPNINV)
INTEGER(KIND=JPIM),INTENT(IN) :: KNM(KNLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELTA(JPNOTP)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELPI
REAL(KIND=JPRB) ,INTENT(IN) :: PCORMIN
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT
REAL(KIND=JPRB) ,INTENT(IN) :: PLON
REAL(KIND=JPRB) ,INTENT(IN) :: PRESS(KNBPV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSIG(JPNVX,KNBPV)
INTEGER(KIND=JPIM),INTENT(IN) :: KIV
INTEGER(KIND=JPIM),INTENT(INOUT) :: KASELS(JPNVY,JPKZMA)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KOSELS(JPNVY,JPKZMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDSELS(JPNVY,JPKZMA)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KNSELS(JPNVY)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDXMB(JPNPM,KNLX,KNBPV)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KNOUT
END SUBROUTINE CASSVA
END INTERFACE
